edu.sc.seis.sod.subsetter.requestGenerator

## Class RandomTimeInterval

- java.lang.Object
- - edu.iris.Fissures.Quantity
  - - edu.iris.Fissures.model.QuantityImpl
    - - edu.iris.Fissures.model.TimeInterval
      - - edu.sc.seis.sod.subsetter.requestGenerator.RandomTimeInterval

- All Implemented Interfaces:
    java.io.Serializable, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.portable.Streamable, org.omg.CORBA.portable.StreamableValue, org.omg.CORBA.portable.ValueBase

      public class RandomTimeInterval
      extends edu.iris.Fissures.model.TimeInterval

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.iris.Fissures.model.QuantityImpl

      `format`

    - ### Fields inherited from class edu.iris.Fissures.Quantity

      `the_units, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomTimeInterval(double min, double max, edu.iris.Fissures.model.UnitImpl unit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getValue()`

    - ### Methods inherited from class edu.iris.Fissures.model.TimeInterval

      `add, convertTo, createTimeInterval, divideBy, multiplyBy, subtract`

    - ### Methods inherited from class edu.iris.Fissures.model.QuantityImpl

      `abs, add, createEmpty, createQuantityImpl, divideBy, equals, formatValue, get_unit, get_value, getUnit, getValue, greaterThan, greaterThanEqual, hashCode, inverse, lessThan, lessThanEqual, main, multiplyBy, setFormat, setUnit, setValue, subtract, toString`

    - ### Methods inherited from class edu.iris.Fissures.Quantity

      `_read, _truncatable_ids, _type, _write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomTimeInterval

          public RandomTimeInterval(double min,
                                    double max,
                                    edu.iris.Fissures.model.UnitImpl unit)

  - ### Method Detail

    - #### getValue

          public double getValue()

      Overrides:
        `getValue` in class `edu.iris.Fissures.model.QuantityImpl`